%global alternate_name PDFRenderer

Summary:        A 100% Java PDF renderer and viewer
Name:           pdf-renderer
Version:        1.0.5
Release:        1
License:        LGPLv2+ and MIT and BSD
URL:            https://java.net/projects/pdf-renderer/
#https://repo1.maven.org/maven2/org/swinglabs/pdf-renderer/1.0.5/pdf-renderer-1.0.5-sources.jar
Source0:        pdf-renderer-%{version}-sources.jar
#https://repo1.maven.org/maven2/org/swinglabs/pdf-renderer/1.0.5/pdf-renderer-1.0.5.pom
Source1:        pdf-renderer-%{version}.pom
BuildRequires:  ant
BuildRequires:  ant-apache-regexp
BuildRequires:  java-devel >= 1.7
BuildRequires:  javapackages-local
BuildRequires:  urw-base35-fonts maven-local
BuildArch:      noarch

Requires:       urw-base35-fonts
Provides:       %{alternate_name} == %{version}-%{release}

%description
The PDF Renderer is just what the name implies: an open source,
all Java library which renders PDF documents to the screen using 
Java2D. Typically this means drawing into a Swing panel, but it 
could also draw to other Graphics2D implementations. It could be 
used to draw on top of PDFs, share them over a network, convert 
PDFs to PNG images, or maybe even project PDFs into a 3D scene.

%package javadoc
Summary:        Javadoc for %{alternate_name}

%description javadoc
API documentation for the %{alternate_name} package.

%prep
%setup -q -c
mkdir -p src/main/java
mv com src/main/java
cp -p %{SOURCE1} pom.xml
%pom_remove_plugin :maven-gpg-plugin
%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

# -----------------------------------------------------------------------------

%changelog
* Thu Sep 17 2020 wangxiao <wangxiao65@huawei.com> - 1.0.5-1
- package init
